import './PaginationSelectPerPage.styles_1f57074.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../../../engines/common.js';
import { selectConfig } from '../../../Select/Select.js';

var mergedSelectConfig = /*#__PURE__*/mergeConfig(selectConfig);
var Select = /*#__PURE__*/component(mergedSelectConfig);
var SelectPerPageRoot = /*#__PURE__*/styled('div')({
  name: "SelectPerPageRoot",
  "class": "syujo53",
  propsAsIs: false
});
var _exp = function _exp() {
  return Select;
};
var SelectPerPageSelect = /*#__PURE__*/styled(_exp())({
  name: "SelectPerPageSelect",
  "class": "s148bu60",
  propsAsIs: true
});
var SelectPerPageTypography = /*#__PURE__*/styled('div')({
  name: "SelectPerPageTypography",
  "class": "s11cefd5",
  propsAsIs: false
});

export { SelectPerPageRoot, SelectPerPageSelect, SelectPerPageTypography };
